Name:		msktutil-cern
Version:	0.4.1
Release:	1%{?dist}
Summary:	Program for interoperability with Active Directory 

Group:		System Environment/Base
License:	GPLv2+
URL:		https://code.google.com/p/msktutil/
Source0:	https://msktutil.googlecode.com/files/msktutil-%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	openldap-devel
BuildRequires:	krb5-devel
Requires:	cyrus-sasl-gssapi

Patch100: add-option-to-support-service-accounts.patch  
Patch101: msktutil-supplied-computer-password.patch

%description
Msktutil is a program for interoperability with Active Directory that can
create a computer account in Active Directory, create a system Kerberos keytab,
add and remove principals to and from that keytab, and change the computer
account's password.

This CERN version adds additional options:

--use-service-account
--computer-password 

useful in CERN environment. (and not useable outside, since 
require addtional CERN-specific services)

%prep
%setup -q 
%patch100 -p1 -b .srvcacct
%patch101 -p1 -b .comppass

%build
# Have to set CPPFLAGS per https://bugzilla.redhat.com/550889
# Fedora 17 and later include a symlink.
if [ ! -r /usr/include/com_err.h ]; then
	# RHEL 5 and 6 store com_err.h here.
	export CPPFLAGS="-I/usr/include/et/"
fi

export PATH_KRB5_CONFIG="/usr/bin/krb5-config"
# RHEL 5 uses /usr/kerberos.
if [ -x /usr/kerberos/bin/krb5-config ]; then
	export PATH_KRB5_CONFIG="/usr/kerberos/bin/krb5-config"
fi

%configure --with-krb5-config=$PATH_KRB5_CONFIG
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

mv -v $RPM_BUILD_ROOT/%{_sbindir}/msktutil $RPM_BUILD_ROOT/%{_sbindir}/%{name}
mv -v $RPM_BUILD_ROOT/%{_mandir}/man1/msktutil.1 $RPM_BUILD_ROOT/%{_mandir}/man1/%{name}.1

%clean
rm -rf $RPM_BUILD_ROOT


%files
%doc LICENSE README ChangeLog
%{_mandir}/man1/*
%{_sbindir}/%{name}


%changelog
* Sat Oct 20 2012 Jaroslaw Polok <jaroslaw.polok@cern.ch - 0.4.1-1
- added patches for this CERN version:
  http://code.google.com/p/msktutil/issues/detail?id=12
  http://code.google.com/p/msktutil/issues/detail?id=10

* Fri Mar 16 2012 Ken Dreyer <ktdreyer@ktdreyer.com> 0.4.1-1
- Update to 0.4.1
- Remove all upstreamed patches
- No need to regenerate configure with autoconf
- New upstream URL

* Sat Dec 3 2011 Ken Dreyer <ktdreyer@ktdreyer.com> 0.4-7
- Adjust conditionals for setting CPPFLAGS and KRB5_CONFIG
- Use PATH_KRB5_CONFIG instead of KRB5_CONFIG when running configure,
  since the latter is used by the Kerberos libraries to specify an
  alternative path to krb5.conf. Thanks again Russ Allbery.

* Mon Oct 3 2011 Ken Dreyer <ktdreyer@ktdreyer.com> 0.4-6
- Adjust regex in krb5-config patch. Thanks Russ Allbery.

* Sat Oct 1 2011 Ken Dreyer <ktdreyer@ktdreyer.com> 0.4-5
- Use patches from upstream git, instead of my own from -4
- Patch Makefile to use $LIBS
- Patch to use krb5-config to automatically determine build flags
- Bump Fedora version to F16 for /usr/include/et
- Regenerate configure with autoconf

* Thu Jul 21 2011 Ken Dreyer <ktdreyer@ktdreyer.com> 0.4-4
- Patch LDAP debug code to correctly report get/set operations

* Sun Jul 10 2011 Ken Dreyer <ktdreyer@ktdreyer.com> 0.4-3
- Reformat BRs, include ChangeLog, explicitly name binary.
- Patch Makefile to be verbose.

* Tue Jul 5 2011 Ken Dreyer <ktdreyer@ktdreyer.com> 0.4-2
- Don't package INSTALL and un-mark manpages as doc

* Tue May 10 2011 Ken Dreyer <ktdreyer@ktdreyer.com> 0.4-1
- Initial package
